Calculate the product of values in an array

- « array_pop

- array_push »

- PHP Manual
- Array Functions
- Calculate the product of values in an array

# array_product

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

array_product — Calculate the product of values in an array

### Description

array_product(array `$array`): int|float

array_product() returns the product of values in an array.

### Parameters

`array`

  The array.

### Return Values

Returns the product as an integer or float.

### Examples

Example #1 array_product() examples

    <?php$a = array(2, 4, 6, 8);echo "product(a) = " . array_product($a) . "\n";echo "product(array()) = " . array_product(array()) . "\n";?>

The above example will output:

    product(a) = 384
    product(array()) = 1